<?php
class JSONData
{
    private $data = null;
    private function encode_array_to_UTF8($array)
    {
        if (is_array($array)) {
            foreach ($array as $key => $value) {
                if (is_array($value)) {
                    $array[$key] = $this->encode_array_to_UTF8($value);
                } else {
                    $array[$key] = iconv('ISO-8859-1', 'UTF-8', $value);
                }
            } //end of foreach
        } else {
            $array = iconv('ISO-8859-1', 'UTF-8', $value);
        }

        return $array;
    }
    public function print_json_headers()
    {
        header('Cache-Control: no-cache, must-revalidate');
        header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
        header('Content-type: text/json; charset=utf-8');
        header('Content-type: application/json');
    }
    public function print_json()
    {
        //echo  json_encode($this->data, JSON_UNESCAPED_UNICODE) ;
        echo json_encode($this->data);
    }

    public function __construct($array, $UTF8Encoded = false)
    {
        if ($UTF8Encoded === true) {
            $this->data = $this->encode_array_to_UTF8(($array));
        } else {
            $this->data = $array;
        }
    }
    public function is_utf8($string)
    {
        //return (mb_detect_encoding($string, 'UTF-8', true) == 'UTF-8');
        if (preg_match('!!u', $string)) {
            return true;
        } else {
            return false;
        }
    }

    public function __destruct()
    {
    }
}
