<?php
class StationSchedule
{
    public $day = '';
    public $day_lang = '';
    public $btime = '';
    public $etime = '';
    public $mbtime = '';
    public $metime = '';
    public $btime_timestamp = '';
    public $etime_timestamp = '';
    public $mbtime_timestamp = '';
    public $metime_timestamp = '';
    public $stationClosed = false;

    public function getSchedule($station_code)
    {
        $dbStation = new DBStation();
        $schluede = $dbStation->getStationSchedule($station_code);
        for ($i = 0; $i < count($schluede); $i++) {
            foreach ($schluede[$i] as $key => &$val) {
                if (!empty($val) && $key != 'day' && $key != 'day_lang' && $key != 'stationClosed') {
                    $val = $val{0} . $val{1} . ':' . $val{2} . $val{3};
                } elseif ($key == 'day') {
                    $val = strtolower($val);
                }
            }
            unset($val);
        }

        $data = new DateTime;
        $data->setDate(1970, 1, 1);
        foreach ($schluede as &$v) {
            /***
            # Nach Absprache mit Tobias entfernt
            if( Params::getValue('CONFIG_EVERYTIME_DEPARTURE') == 1) {
            $v->mbtime = '00:00';
            $v->metime = '00:00';
            if($v->stationClosed)
            {
            $v->btime = '08:00';
            $v->etime = '18:00';
            $v->stationClosed = false;
            }
            $v->btime = $v->btime > '08:00' ? '08:00' : $v->btime;
            $v->etime = $v->etime < '18:00' ? '18:00' : $v->etime;
            }
             ***/

            $data->setTime(intval($v->btime {0} . $v->btime {1}), intval($v->btime {2} . $v->btime {3}));
            $v->btime_timestamp = $data->getTimestamp() * 1000;

            $data->setTime(intval($v->etime {0} . $v->etime {1}), intval($v->etime {2} . $v->etime {3}));
            $v->etime_timestamp = $data->getTimestamp() * 1000;

            $data->setTime(intval($v->mbtime {0} . $v->mbtime {1}), intval($v->mbtime {2} . $v->mbtime {3}));
            $v->mbtime_timestamp = $data->getTimestamp() * 1000;

            $data->setTime(intval($v->metime {0} . $v->metime {1}), intval($v->metime {2} . $v->metime {3}));
            $v->metime_timestamp = $data->getTimestamp() * 1000;
        }
        unset($v);
        return $schluede;
    } // getSchedule()
} // Class StationSchedule
