<?php
class DBRegion extends DBBase
{
    public function isValidRegion($region)
    {
        $count = 0;
        $sql = 'SELECT COUNT(region) as count FROM dbo.DISPO_REL_REGIONEN_STATIONEN WHERE region = :region and Filiale IN (Select station FROM dbo.stammt WHERE Internetstation = 1)';
        $this->getDatabase()->prepare($sql);
        $this->getDatabase()->bindValue(':region', $region);
        $result = $this->getDatabase()->execute();
        if ($result !== false) {
            $row = $this->getDatabase()->fetch_assoc();
            $count = $row['count'];
        }
        return ($count > 0);
    }
}
