<?php
/**
 * Description of getProcData
 *
 * @author jmunoz
 */
class getProcData extends DBBase
{
    public function getGroupByCode($group_code)
    {
        $dbObj = null;
        $sql = 'SELECT gruppe, text_web, sortierung, kfzart, kfzkategorie, Beschreibung , Beschreibung_WEB , KFZ_KATEGORIE_TEXT FROM AUTOS_KFZ_GRUPPEN WHERE gruppe = :group AND Inetgruppe = 1';
        $this->getDatabase()->prepare($sql);
        $this->getDatabase()->bindValue(':group', $group_code);

        $result = $this->getDatabase()->execute();

        if ($result !== false) {
            $dbObj = $this->getDatabase()->fetch_obj();
        }
        return $dbObj;
    } // getGroupByCode()
    public function run($query, $allResults = false)
    {
        if (!isset($query['pdo'])) {
            $sql = $query;
        }

        if (isset($query['query'])) {
            $sql = $query['query'];
        }

        //then it is got a mssql driver
        if (isset($query['pdo_query']) && isset($query['pdo_parameters'])) {
            //execute a pdo query
            $sql = $query['pdo_query'];
            $this->getDatabase()->prepare($sql);
            foreach ($query['pdo_parameters'] as $key => &$value) {
                if (is_array($value)) {
                    $this->getDatabase()->bindParam($key, $value[0], $value[1]);
                } else {
                    $this->getDatabase()->bindParam($key, $value);
                }
            }
            $this->getDatabase()->execute();
        } else {
            //normal sql query "without PDO"
            $this->getDatabase()->query($sql);
        }
        $response = $this->getDatabase()->fetch_all();

        if ($allResults) {
            return $response;
        }
        $response['row'] = isset($response[0]) ? $response[0] : array();
        //$response['row'] =  $response[0] ;
        unset($response[0]);
        return $response;
    }
}
