var Rates = {

		selectedCdw: new Array(),
		obligClick: false,

		subRateClick: function(element, typ)
		{
            if ( Rates.selectedCdw.length > 1 ) {
                return false;
            }
            
			// AK 09.08.2017 - oblig. CDWs dürfen nicht abwählbar sein wenn sie ausgewählt sind, müssen aber auswählbar sein wenn eine andere CDW gewählt ist.
			if($(element).attr('data-oblig') == 'true' && $.inArray(element.id, Rates.selectedCdw) >= 0 && !Rates.obligClick ){
				return false;
			}
			if($.inArray(element.id, Rates.selectedCdw) >= 0) {
				element.checked = false;
				
			}

			Rates.selectedCdw.splice($.inArray(element.id, Rates.selectedCdw), 1);

			if(typ != 'error')
			{
				$.ajax({
					type: "get",
					async: false,
					url: CX9SITEURL + 'prices/update',
					data: typ + '=' + $(element).val() + '&PHPSESSID=' + SID,
					dataType: "json",
					error: function ()
					{
						console.log('Rates:subRateClick Ajax Error');
					},
					success:  function(data)
					{
						if(data != 'Error')
						{
							var rate = element.id.replace("rate_", "");
							switch(typ)
							{
								case 'option' :
                                    if( data.break ) break;
                                    if( data.cdw )
                                    {
                                        $('[id^="rate_"]').each(function(){
                                                if($(this).prop('id').indexOf('CDW') >= 0 && $(this).prop('id') != $(element).prop('id'))
                                                {
                                                   // $(this).removeClass('rate-checkbox-checked');
                                                   // $(this).addClass('rate-checkbox-unchecked');
                                                }
                                            });
                                    }
									if(data.autobuch != 1)
									{
										if( $('[id="count_' + rate + '"]').val() !== undefined)
										{
											$('[id="count_' + rate + '"]').val(data.count);
										}
									} else {
                                        $(element).prop("checked", true);
                                    }
									break;
								default:
									typ = 'error';

							}

							$('.total_price').text(data.total_price_formatted);
                            $('#subprice_rates').text(data.subprice_rates_formatted);
                            $('#subprice_extras').text(data.subprice_extras_formatted);

						}
						else
						{
							console.log('Rates:subRateClick Ajax:succes Error');
						}
					}

				});

				$("[value*='CDW']").each(function(){
			    	if(this.checked) Rates.selectedCdw.push(this.id);
			    });

			    if(Rates.selectedCdw.length <= 0) {
			    	Rates.obligClick = true;
			    	$("[value*='CDW'][data-oblig='true']").click();
			    } else {
			    	Rates.obligClick = false;
			    }
			}
		},

		addKmClick: function()
		{
			var km = parseInt($.trim($('#kmInput').val()));
            if(!isNaN(km) && km >= 0) {
                var url = CX9SITEURL + 'prices/addkm';
                var data = 'addkm=' + km + '&PHPSESSID=' + SID;
                CX9ajaxQuery(url, 'get', 'json', data, 'Rates::addKmClick', function(data) {
                    if(data.error === '') {
                        $('#tarif-details').html(data.html);
                        $('#extras-details').html(data.html_zusrates);
                        var url = CX9SITEURL + 'prices/update';
                        var data = 'total_price' + '&PHPSESSID=' + SID;
                        CX9ajaxQuery(url, 'get', 'json', data, 'Rates:addKmClick (2)', function(data) {
                            $('.total_price').text(data.total_price_formatted);
                            $('#subprice_rates').text(data.subprice_rates_formatted);
                            $('#subprice_extras').text(data.subprice_extras_formatted);
                            rightHeight.init();
                        });
                    } else {
                        alert(data.error);
                    }
                });
            }
			return false;
		},

		removeKmClick: function()
		{
			$('#kmInput').val(0);
			return this.addKmClick();
		},

		Discount: function()
		{
			var code = $.trim($('#gutInput').val());
			if(code != '')
			{
				$.ajax({
					type: "get",
					async: false,
					url: CX9SITEURL + 'prices/discount',
					data: 'discount_code=' + code + '&PHPSESSID=' + SID,
					dataType: "json",
					error: function ()
					{
						console.log('Rates:Discount Ajax Error');
					},
					success:  function(data)
					{
						if(data.error == '')
						{
							$('#tarif-details').html(data.html);
                            $('#gutInput').val(data.code_str);
                            $('#discount-code').text(code);
                            $('#gutInput').attr('readonly','readonly');
                            $('#btn-refresh-code_wrap').addClass('hidden');
                            $('#btn-remove-code_wrap').removeClass('hidden');
                            $('#discount-code-wrap').removeClass('hidden');
							$('.total_price').text(data.total_price_formatted);
                            $('#subprice_rates').text(data.subprice_rates_formatted);
                            $('#subprice_extras').text(data.subprice_extras_formatted);
                            rightHeight.init();

						}
						else
						{
                            if(data.sleep > 0)
                            {
                                $('#gutInput').attr('readonly','readonly');
                                $('#btn-refresh-code').prop('disabled', true);
                                setTimeout(function() {
                                    $('#gutInput').removeAttr('readonly');
                                    $('#btn-refresh-code').prop('disabled', false);
                                }, data.sleep * 1000)
                            }
							alert(data.error);
                            $('#gutInput').val('');
						}
					}

				});

			}

            return false;
		},

		DiscountKeyPress: function(event)
		{
			if(event.keyCode==13)
			{
				this.Discount();
				return false;
			}

		},

		DiscountDelete: function()
		{
			$.ajax({
				type: "get",
				async: false,
				url: CX9SITEURL + 'prices/discountdelete',
				data: 'PHPSESSID=' + SID,
				dataType: "json",
				error: function ()
				{
					console.log('Rates:DiscountDelete Ajax Error');
				},
				success:  function(data)
				{
                    $('#tarif-details').html(data.html);
                    $('#gutInput').val('');
                    $('#gutInput').removeAttr('readonly');
                    $('#btn-refresh-code_wrap').removeClass('hidden');
                    $('#btn-remove-code_wrap').addClass('hidden');
                    $('#discount-code-wrap').addClass('hidden');
                    $('.total_price').text(data.total_price_formatted);
                    $('#subprice_rates').text(data.subprice_rates_formatted);
                    $('#subprice_extras').text(data.subprice_extras_formatted);
                    rightHeight.init();
				}

			});
            return false;
		},

		CountChange: function(element)
		{
            var count = 0;
            var rate = $(element).data('rate');
            var checkbox = $('[data-rate="'+rate+'"][data-type="check"]');
            var mincount = $(checkbox).data('mincount') > 0 ? $(checkbox).data('mincount') : 1;

            if($(element).data('type') == 'count') {
                count = $(element).data('count');
                $('.li-emulator[data-rate="'+rate+'"]').text(count);
                $('[data-rate="'+rate+'"][data-type="check"]').prop('checked', true);
            } else {
                if($(checkbox).prop('checked')) {
                    count = $('.li-emulator[data-rate="'+rate+'"]').text();
                    count = count > 0 ? count : mincount;
                    $('.li-emulator[data-rate="'+rate+'"]').text(count);
                } else {
                    count = 0;
                }

            }

			$.ajax({
				type: "get",
				async: false,
				url: CX9SITEURL + 'prices/subrateCountChange',
				data: 'option=' + rate + '&count=' + count + '&PHPSESSID=' + SID,
				dataType: "json",
				error: function ()
				{
					console.log('Rates:Countchange Ajax Error');
				},
				success:  function(data)
				{
					if(data != 'Error') {
                        if(data.autobuch != 1 && data.count == 0) {
                            $('[data-rate="'+rate+'"][data-type="check"]').prop('checked', false);
                            $('.li-emulator[data-rate="'+rate+'"]').text(0);

                        }
                        $('.total_price').text(data.total_price_formatted);
                        $('#subprice_extras').text(data.subprice_extras_formatted);
					} else {
						console.log('Rates:CountChange Ajax:succes Error');
					}
				}
			});
		},

};
$(window).load(function(){
    $("[value*='CDW']").each(function(){
    	if(this.checked) Rates.selectedCdw.push(this.id);
    });
});
