<?php
class DBAnrede extends DBBase
{
    public function getAll($lang = 'DE')
    {
        $anreden = array();

        $sql = "SELECT * FROM KUNDEN_ANREDEN WHERE Sprache = :lang AND Internet = 1";
        $this->getDatabase()->prepare($sql);
        $this->getDatabase()->bindValue(':lang', $lang);

        $result = $this->getDatabase()->execute();

        if ($result !== false) {
            while ($dbObj = $this->getDatabase()->fetch_obj()) {
                $anreden[] = $dbObj;
            }
            // Wenn keine Anreden geladen werden können, standardmäßig die deutschen anzeigen
            if (count($anreden) === 0) {
                $this->getDatabase()->bindValue(':lang', 'DE');

                $result = $this->getDatabase()->execute();

                if ($result !== false) {
                    while ($dbObj = $this->getDatabase()->fetch_obj()) {
                        $anreden[] = $dbObj;
                    }
                }
            }
        }

        return $anreden;
    }
} // Class DBAnrede
