<?php
class ControllerConnector extends ControllerBase
{
    public function index()
    {
        $content = file_get_contents(SITEURL);
        $head_start = strpos($content, '<head>') + 6;
        $head_end = strpos($content, '</head>');
        $head_content = substr($content, $head_start, $head_end - $head_start);

        $links = array();
        while (($link_start = strpos($head_content, '<link')) !== false) {
            $link_end = strpos($head_content, '>', $link_start);
            $link = substr($head_content, $link_start, $link_end - $link_start + 1);
            $links[] = $link;
            $head_content = str_replace($link, '', $head_content);
        }

        $scripts = array();
        while (($script_start = strpos($head_content, '<script')) !== false) {
            $script_end = strpos($head_content, '</script>', $script_start) + 9;
            $script = substr($head_content, $script_start, $script_end - $script_start + 1);

            $scripts[] = $script;
            $head_content = str_replace($script, '', $head_content);
        }

        $body_start = strpos($content, '<body>') + 6;
        $body_end = strpos($content, '</body>');
        $body = substr($content, $body_start, $body_end - $body_start);
        $data = array('error' => 0, 'error_msg' => '', 'body' => $body, 'link' => $links, 'script' => $scripts);

        header('Access-Control-Allow-Origin: *');
        header('Content-Type: application/javascript');
        echo (isset($_GET['callback']) ? $_GET['callback'] : '') . '(' . json_encode($data) . ')';
        exit;
    }
}
