<?php

// Version
define('VERSION', '600');
require_once 'config_db.inc.php';
require_once 'config_mail.inc.php';

// Betriebssystem
define('DEFAULT_LANG', 'DE');
define('DEFAULT_TIMEZONE', 'Europe/Berlin');

// CONFIGURATION
define('BINET_ALLOW_ONEWAY', 1); //Sollen Oneway Mieten möglich sein? 1 = ja; 0 = nein
define('CONFIG_JS_SUBMIT', 0); //Soll die Abfahrt immer moeglich sein? 1 = ja; 0 = nein
define('CONFIG_STEP2_NEW_WINDOW', 0); // Soll STEP2 im neu Fenster ofnen? 1 = ja; 0 = nein
define('CACHE', 1); // Soll die Ergebnissen von Datenbank cachen? 1 = ja; 0 = nein
define('FIRST_PAGE', 'https://kunden2.cx9.de/cx9/reservierung_rd/');
define('INET_STATUS', 1); // Wenn auf 1, wird immer eine Anfrage Mail gesendet, es sei denn, es sind Vorlaufzeiten
define('CONFIG_SHOW_AVAILABILITY_PLAN', 0); // Soll der Belegungsplan angezeigt werden? 1 = ja; 0 = nein
define('CONFIG_CHECK_AVAILABILITY', 0); // Soll die Verfügbarkeit innerhalb einer Fahrzeuggruppe geprüft werden? 1 = ja; 0 = nein
define('TRANSLATE_INIT', 0); // Soll Übersetzungstabellen prüfen? 1 = ja; 0 = nein  // Bei erste Anruf muss 1 sein, nachdem kann 0
define('ZIP_CODE_SEARCH', 0); // Umkreissuche nach PLZ
define('CONFIG_FILTER_STATIONLIST', 0); // Filter für Stationen aktivieren
define('FORCE_CUSTOMER_LOGIN', 0); // Kundenlogin erzwingen
define('LOG_PATH', '/var/www/cx9/reservierung_rd/logs/');

define('REGION', '');
//Sucht in der DISPO_REL_REGIONEN_STATIONEN Tabelle Stationen, die einer Region (oder Kunden) zugeteilt sind; ansonsten Default-Wert leerer String zeigt alle Stationen an (die eine 'Internetstation' sind); Leerer String kann vom get-Parameter überschrieben werden, sonst nicht.

// define('EXTERN_STEP2', 'https://kunden2.cx9.de/cx9/reservierung_rd/cars');   // Wenn gesetzt, wird von step1 nach step2 so weitergeleitet, das eine weiterleitung von iframe1 zu iframe2 möglich ist

define('DIGEST_US', '');
define('DIGEST_PW', '');

// DEBUG
define('AJAX_DEBUG', false);
define('ORM_CONTROLLER_NO_LOGIN', true);
