<?php
class PayArts
{
    public $id;
    public $name;
    public $web_name;
    public $web_name_lang;
    public $auto_pay;
    public $credit_card;
    public $credit_card_date;
    public $credit_card_number;
    public $pending = false;

    public function decodeFromDb($dbObj)
    {
        $dbTranslate = new DBTranslate();
        $translate = $dbTranslate->loadTranslations('PAYMENT', Session::getLang());
        $this->id = isset($dbObj->PK) ? $dbObj->PK : $dbObj->pk; // R�ckwert von Proc. INET_GET_ZAHLUNGSARTEN ist pk; R�ckwert von Tabelle FIBU_ZAHLUNGSARTEN ist PK
        $this->name = $dbObj->Zahlungsart;
        $this->web_name = trim($dbObj->BEZEICHNUNG_WEB) != '' ? $dbObj->BEZEICHNUNG_WEB : $dbObj->BEZEICHNUNG_WEB;
        $this->auto_pay = $dbObj->autopay;
        $this->credit_card = $dbObj->credit_card;

        if (!empty($translate[md5($this->name)])) {
            $this->web_name_lang = $translate[md5($this->name)];
        } else {
            $this->web_name_lang = $this->web_name;
        }
    }
} // Class PayArts
