<?php
class DBMandant extends DBBase
{

    public function getInfo()
    {
        $dbObj = null;
        $result = $this->getDatabase()->query("SELECT * FROM dbo.MAND_GLOBAL");

        if ($result !== false) {
            $dbObj = $this->getDatabase()->fetch_obj();
            $dbText = new DBText();
            $station = Station::hasStationCode(Session::getStartStation());
            $agb = $dbText->getTextByStation($station->code, 'INET_AGB_LINK');
            $agb->mem = isset($agb->mem) ? $agb->mem : 'INET_AGB_LINK';
            $dbObj->agb = $agb->mem;
        }

        return $dbObj;
    }

    public function getLogo()
    {
        $result = $this->getDatabase()->query("SELECT Logo FROM MAND_GLOBAL");
        if ($result !== false) {
            $this->getDatabase()->bindColumn(1, $image);
            $row = $this->getDatabase()->fetch_assoc();
            return $image;
        } else {
            return false;
        }
    }
} // Class DBMandant
