<?php
class ControllerError extends ControllerBase
{
    public function index()
    {
        $title = !empty($_SESSION['ERROR_TITLE']) ? $_SESSION['ERROR_TITLE'] : '';
        $_SESSION['NAVI_MAX_STEP'] = 1;
        $errors = !empty($_SESSION['ERROR_LIST']) ? $_SESSION['ERROR_LIST'] : array();

        $js_array = array( //'https://code.jquery.com/jquery-1.11.1.min.js',
            //'https://code.jquery.com/ui/1.10.3/jquery-ui.min.js',
            'System.js');
        $translate = $this->loadTranslations(array('MESSAGE', 'NEW_PASSWORD', 'NAVI', 'RENTAL', 'CONFIRM', 'GLOBAL', 'LOGIN_BAR', 'LOGIN', 'STEP_MENU', 'BUCHUNGSFILTER', 'TOP_LINK', 'ERRORS'));

        if (!empty($_SESSION['DATA']['customer'])) {
            $customer = unserialize($_SESSION['DATA']['customer']);
            if (is_a($customer, 'Customer')) {
                //$this->template->assign('LOGIN', 1);
                $this->template->assign('CUSTOMER', $customer);
            } else {
                $this->template->assign('LOGIN', 0);
            }
        }
        $template = $this->registry->template;
        $this->template->assign('TITLE', isset($translate['ERRORS']['SITETITLE']) ? $translate['ERRORS']['SITETITLE'] : 'ERRORS.SITETITLE');
        $this->template->assign('ERRORS', $errors);
        $this->template->assign('NAVI_MAX_STEP', $_SESSION['NAVI_MAX_STEP']);
        $this->template->assign('NAVI_STEP', 1);
        $this->template->assign('TRANSLATE', $translate);
        $this->template->assign('JS_FILES', $js_array);
        $template->assign('LANG', $this->registry->lang);
        $template->assign('ERRORPAGE', true);

        if (!@$_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest') {
            $template->display('global_template.html');
            die();
        } else {
            header("Status: 404 Not Found");
            die();
        }
        unset($_SESSION['ERROR_LIST']);
        unset($_SESSION['ERROR_TITLE']);
    } // index()
} // Class ControllerError
