$(function () { 
    $("#field-startstation").autocomplete({
        source: function (request, response) {
		 // console.log(response);
				var input = document.getElementById('field-startstation');  
				$("#field-startstation").css({'position':'relative', 'z-index':'1005'});
				var options = {
				  types: ['(cities)'],
				  componentRestrictions: {country: 'nl'}
				};				
				autocomplete = new google.maps.places.Autocomplete(input, options);
				google.maps.event.addListener(autocomplete, 'place_changed',  
					function(response) { 
							if($('.pac-container').css('display') == 'none' ){
								var place = $("#field-startstation").val();  
								if($("#blockSelStartStation > #cx9-res-selectstation-stat").find("[style='display: block;']").size() == 0)
								{
									getcitydetails(place); 
								} 					
							} 
					}
				);   
				google.maps.event.trigger(autocomplete, 'place_changed');    
        },
        minLength: 3,
        select: function (event, ui) { 
            var selectedObj = ui.item;
			console.log(ui);
			console.log('test');
			console.log(selectedObj);
            $("#field-startstation").val(selectedObj.value);
            getcitydetails(selectedObj.value);
			$('#field-startstation').value("");
            return false;
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
            $(".ui-autocomplete").css("z-index", "10002");
			//activate input field for city
			$("#field-startstation").css({'position':'relative', 'z-index':'1005'});
			google.maps.event.removeListener(autocomplete);
			$('#field-startstation').value("");
        },
        close: function () {
            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
			google.maps.event.removeListener(autocomplete);
			$("#field-startstation").css({'position':'relative', 'z-index':'1005'});
			google.maps.event.removeListener(autocomplete);
			//$('#field-startstation').css({'position':'relative', 'z-index':'1'});	
			$('#field-startstation').autocomplete( "destroy" );
			$('#field-startstation').value("");
        }
    });
  
    $("#field-startstation").autocomplete("option", "delay", 100);
});

function getcitydetails(fqcn) { 
    if (typeof fqcn == "undefined") fqcn = $("#f_elem_city").val();
		cityfqcn = fqcn; 
    if(cityfqcn){ 
                    $.each($('#blockSelStartStation > #cx9-res-selectstation-stat > div.zeileBoxItem'), function(index, item){             
                        /* check geocoder-status */ 
                        var origin = $(item).attr('data-station-info');
						// console.log('origin');
						// console.log(origin);
                         // var destination = new google.maps.LatLng(results[0].geometry.location.k, results[0].geometry.location.B);
                         var destination = cityfqcn;
						// console.log('destination');
						// console.log(destination);                        
						var service = new google.maps.DistanceMatrixService();
                        service.getDistanceMatrix( {
                            origins: [origin],
                            destinations: [destination],
                            travelMode: google.maps.TravelMode.DRIVING,
                            avoidHighways: false,
                            avoidTolls: false
                        }, callback);

                        function callback(response, status) {  
							var distance = parseInt((response.rows[0].elements[0].hasOwnProperty('distance')) ? response.rows[0].elements[0].distance.value : 0, 10);
							$(item).attr('data-distance', distance);
                            //$(item).data('distance', parseInt(response.rows[0].elements[0].distance, 10)).show();
							// Sortierung
							var divList = $("#blockSelStartStation > #cx9-res-selectstation-stat > div");
							divList.sort(function(a, b){
								return $(a).attr("data-distance")-$(b).attr("data-distance");
							});

							$("#blockSelStartStation > #cx9-res-selectstation-stat").html(divList); 
							$("#blockSelStartStation > #cx9-res-selectstation-stat div").show();
							
							$("#blockSelStartStation > #cx9-res-selectstation-stat div:gt(2)").hide();  
                        } 
                    });
             

    };

}

$(document).ready(function () {
    // Filter
    jQuery.expr[':'].contains = function(a, i, m) {
        return jQuery(a).text().toUpperCase().indexOf(m[3].toUpperCase()) >= 0;
    };

    jQuery('#field-startstation').on('keyup',function(){

        $('#blockSelStartStation > #cx9-res-selectstation-stat > div').show();
        $('#blockSelStartStation > #cx9-res-selectstation-stat > div:not(:contains("'+this.value+'"))').hide();

    });

    jQuery('#field-endstation').on('keyup',function(){
        $('#blockSelEndStation > #cx9-res-selectstation-stat > div').show();
        $('#blockSelEndStation > #cx9-res-selectstation-stat > div:not(:contains("'+this.value+'"))').hide();
    });     
});