<?php
class Currency
{
    public $id;
    public $description;
    public $description_lang;
    public $symbol;
    public $conversion;
    public $ISOcode;
    public $mantissa;
    public $separatorDecimal;
    public $separatorThousand;
    public $positon;

    public function decodeFromDb($dbObj)
    {
        $this->id = $dbObj->PK;
        $this->description = $dbObj->Beschreibung;
        $this->symbol = $dbObj->Symbol;
        $this->conversion = $dbObj->Umrechnungsfaktor;
        $this->ISOcode = $dbObj->ISOCode;
        $this->mantissa = isset($dbObj->Dezimalanzahl) ? $dbObj->Dezimalanzahl : 2;
        $this->separatorDecimal = isset($dbObj->Dezimaltrenner) ? $dbObj->Dezimaltrenner : ',';
        $this->separatorThousand = isset($dbObj->Tausendertrenner) ? $dbObj->Tausendertrenner : '.';
        $this->positon = isset($dbObj->Position) ? $dbObj->Position : 0;

        $dbTranslate = new DBTranslate();
        $translate = $dbTranslate->loadTranslations('CURRENCY', Session::getLang());
        $this->description_lang = !empty($translate[$this->ISOcode]) ? $translate[$this->ISOcode] : $this->description;
    }
} // Class Currency
