<?php
class Registry
{
    private $vars = array();
    protected static $instance = null;

    private function __construct()
    {
    }

    public function __set($key, $var)
    {
        $this->vars[$key] = $var;
    }

    public function __get($key)
    {
        return isset($this->vars[$key]) ? $this->vars[$key] : null;
    }

    public static function getInstance()
    {
        if (self::$instance == null) {
            self::$instance = new self;
        }
        return self::$instance;
    }

    public function checkGet()
    {
        if (!empty($_REQUEST['lang'])) {
            Session::setLang(strtoupper(trim($_REQUEST['lang'])));
        }

        if (!empty($_REQUEST['cur'])) {
            $_SESSION['CONFIG']['CURRENCY'] = strtoupper(trim($_REQUEST['cur']));
        }
    }
}
