<?php
class ControllerTest extends ControllerBase
{
    public function index()
    {
        debug($_SESSION);
    }

    public function notranslate()
    {
        $tmp = $_SESSION['TRANSLATIONS'];
        unset($_SESSION['TRANSLATIONS']);
        debug($_SESSION, 0);
        $_SESSION['TRANSLATIONS'] = $tmp;
        die();
    }

    public function killtranslate()
    {
        $_SESSION['TRANSLATIONS'] = array();
        unset($_SESSION['TRANSLATIONS']);
        echo "Translation killed...";
    }

    public function killcache()
    {
        unset($_SESSION['CACHE']);
    }

    public function data()
    {
        $s = Session::getStartStation();
        debug($s->code . '<br>' . $s->name, 0, 'START STATION');
        $s = Session::getEndStation();
        debug($s->code . '<br>' . $s->name, 0, 'END STATION');
        $d = new DateTime;
        $d->setTimestamp(Session::getStartDateTime());
        debug($d->format('d.m.Y H:i'), 0, 'START DATETIME');
        $d->setTimestamp(Session::getEndDateTime());
        debug($d->format('d.m.Y H:i'), 0, 'END DATETIME');
    }

    public function cache()
    {
        debug(unserialize($_SESSION['CACHE']['STATIONS_DEP']), 0, 'STATIONS_DEP');
        debug(unserialize($_SESSION['CACHE']['STATIONS_ARR']), 0, 'STATIONS_ARR');
    }

    public function config()
    {
        debug($_SESSION['CONFIG']);
    }

    public function savesession()
    {
        $path = dirname($_SERVER['SCRIPT_FILENAME']) . '/logs/session';
        file_put_contents($path, serialize($_SESSION));
    }

    public function getsession()
    {
        $path = dirname($_SERVER['SCRIPT_FILENAME']) . '/logs/session';
        $_SESSION = unserialize(file_get_contents($path));
    }

    public function rates()
    {
        $rates = Session::getPrimaryRate();
        foreach ($rates as &$rate) {
            $rate->sub_description = '';
            $rate->sub_description_lang = '';
        }
        unset($rate);
        //debug($rates, 0, 'PRIMARY');
        $subrates = Session::getSubRates();
        foreach ($subrates as $v) {
            if ($v->cdw) {
                debug($v, 0);
            }
        }
    }

    public function totalprice()
    {
        echo $_SESSION['DATA']['total_price'];
    }

    public function logout()
    {
        Session::delCustomer();
        $_SESSION['DATA']['login'] = null;
        unset($_SESSION['DATA']['login']);
    }

    public function xxx()
    {
        debug(Session::getAddKm(), 0, 'Session::getAddKm()');
        debug(Session::getDiscount(), 0, 'Session::getDiscount()');
    }
} // Class ControllerTest
