var SELECTOR_NAMES = {
    STARTSTATION: {
        BLOCK: 'startstationSelectList',
        CODE: 'startstation',
        TEXTVALUE: '',
        DATEINPUT: 'abholDatum',
        TIMEINPUT: ''
    },
    ENDSTATION: {
        BLOCK: 'endstationSelectList',
        CODE: 'endstation',
        TEXTVALUE: '',
        DATEINPUT: 'abgabeDatum',
        TIMEINPUT: ''
    }
};
var SELECTORS = {
    STARTSTATION: {
        BLOCK: '#' + SELECTOR_NAMES.STARTSTATION.BLOCK,
        CODE: '#' + SELECTOR_NAMES.STARTSTATION.CODE,
        TEXTVALUE: '#startstationSelect .innerBtnDest',
        DATEINPUT: '#' + SELECTOR_NAMES.STARTSTATION.DATEINPUT,
        TIMEINPUT: '#startstationTimeSelect .ddinnerBtn.jsdtAhZ'
    },
    ENDSTATION: {
        BLOCK: '#' + SELECTOR_NAMES.ENDSTATION.BLOCK,
        CODE: '#' + SELECTOR_NAMES.ENDSTATION.CODE,
        TEXTVALUE: '#endstationSelect .innerBtnDest',
        DATEINPUT: '#' + SELECTOR_NAMES.ENDSTATION.DATEINPUT,
        TIMEINPUT: '#endstationTimeSelect .ddinnerBtn.jsdtAgZ'
    }
}



if(typeof String.prototype.trim !== 'function') {
  String.prototype.trim = function() {
    return this.replace(/^\s+|\s+$/g, '');
  };
}
var format12 = DATE_FORMAT.time.indexOf('a') > 0;
var fenster = null;
var Rental =
	{
		Cache: new Array(),
		ReservationButtonClick : function()
		{
            if($(SELECTORS.STARTSTATION.CODE).val() == '')
			{
				alert(translation.RENTAL.MIETSTATION_ERROR);
				return false;
			}
			var category = $('#kategorie-select').val() == undefined ? -1 : $('#kategorie-select').val();
			if(CONFIG_JS_SUBMIT == 0)
			{
				if(CONFIG_STEP2_NEW_WINDOW == 1)
				{
					window.open("", "Ergebnis", "fullscreen=1,scrollbars=yes,location=no" );
					document.pRentalForm.target="Ergebnis";
					document.pRentalForm.submit();
				}
				else
				{
                    var url = CX9SITEURL + 'cars?PHPSESSID='+SID+
							"&startstation=" + $(SELECTORS.STARTSTATION.CODE).val() +
							"&endstation=" + $(SELECTORS.ENDSTATION.CODE).val() +
							// "&field-startstation=" + $('#field-startstation').val() +
							"&startdate=" + $(SELECTORS.STARTSTATION.DATEINPUT).val() +
							"&starttime=" + $(SELECTORS.STARTSTATION.TIMEINPUT).html() +
							// "&field-endstation=" + $('#field-endstation').val() +
							"&enddate=" + $(SELECTORS.ENDSTATION.DATEINPUT).val() +
							"&endtime=" + $(SELECTORS.ENDSTATION.TIMEINPUT).html() +
                                                        "&category=" + category;
                    if( $('#region').val() != '')
                    {
                        url += "&region=" + $('#region').val();
                    }
                    window.parent.location.href = url;
				}
			}
			else
			{
                var url = CX9SITEURL + 'cars?PHPSESSID='+SID+
							"&startstation=" + $(SELECTORS.STARTSTATION.CODE).val() +
							"&endstation=" + $(SELECTORS.ENDSTATION.CODE).val() +
							// "&field-startstation=" + $('#field-startstation').val() +
							"&startdate=" + $(SELECTORS.STARTSTATION.DATEINPUT).val() +
							"&starttime=" + $(SELECTORS.STARTSTATION.TIMEINPUT).html() +
							// "&field-endstation=" + $('#field-endstation').val() +
							"&enddate=" + $(SELECTORS.ENDSTATION.DATEINPUT).val() +
							"&endtime=" + $(SELECTORS.ENDSTATION.TIMEINPUT).html() +
                                                        "&category=" + category;

                if( $('#region').val() != '')
                {
                    url += "&region=" + $('#region').val();
                }

				window.parent.location.href = url;
			}

		},

		ChangeEndStation : function()
		{
            if($(SELECTORS.STARTSTATION.CODE).val() == '')
            {
                return false;
            }

			if($('.checkVisT').attr('class') == 'checkbox-unchecked')
			{
				$('.checkVisT').attr('class', 'checkbox-checked');
				$('#popupChangeEndStation').css('display', 'block');
				$(SELECTOR_NAMES.ENDSTATION.TEXTVALUE).val($(SELECTOR_NAMES.STARTSTATION.TEXTVALUE).text());
				$(SELECTORS.ENDSTATION.CODE).val($(SELECTORS.STARTSTATION.CODE).val());
			}
			else
			{
				$('.checkVisT').attr('class', 'checkbox-unchecked');
				$('#popupChangeEndStation').css('display', 'none');
				$(SELECTORS.ENDSTATION.CODE).val('');
			}
		},

		PLoginClick : function()
		{
			if($('#login_checkbox').attr('class') == 'checkbox-unchecked')
			{
				$('#backgroundFilter').show();
				$('#login_checkbox').attr('class', 'checkbox-checked');
				$('#pLogin').show();
			}
			else
			{
				this.PLoginClose();
			}
		},

		PLoginClose : function()
		{
			$('#login_checkbox').attr('class', 'checkbox-unchecked');
			$('#pLogin').hide();
			$('#backgroundFilter').hide();
		},
        
        GetArrrivalStations: function()
        {
            if ($(SELECTORS.STARTSTATION.CODE).val() != '') {
                $('#endstationSelectList').html('');
                if (typeof(Rental.Cache['arr_stations']) == 'undefined' || 
                    typeof(Rental.Cache['arr_stations'][$(SELECTORS.STARTSTATION.CODE).val()]) == 'undefined') {
                        var data = 'stations_typ=arr&startstation='+$(SELECTORS.STARTSTATION.CODE).val();
                        $.ajax({
                            type: "get",
                            async: true,
                            url: CX9SITEURL + 'rental/getstationsblock',
                            data: data,
                            dataType: "html",
                            error: function ()
                            {
                                console.log('Rental:getArrrivalStations Ajax Error');
                            },
                            success:  function(data)
                            {
                                if(data != 'Data Error')
                                {
                                    if(typeof(Rental.Cache['arr_stations']) == 'undefined') {
                                        Rental.Cache['arr_stations'] = new Array();
                                    }
                                    Rental.Cache['arr_stations'][$(SELECTORS.STARTSTATION.CODE).val()] = data;
                                    $('#endstationSelectList').html(data);
                                }
                                else
                                {
                                    console.log('Rental:getArrrivalStations Ajax:succes Error');
                                }
                            }
                        });                
                    } else {
                        $('#endstationSelectList').html(Rental.Cache['arr_stations'][$(SELECTORS.STARTSTATION.CODE).val()]);
                    }
            }
        },
        
        // to delete
		IStationClick_bak : function(station_block)
		{
			$('#backgroundFilter').show();

            if(station_block == 'blockSelEndStation' && $(SELECTORS.STARTSTATION.CODE).val() != '')
            {
                var data = 'stations_typ=arr&startstation='+$(SELECTORS.STARTSTATION.CODE).val();
                $.ajax({
                    type: "get",
                    async: false,
                    url: CX9SITEURL + 'rental/getstationsblock',
                    data: data,
                    dataType: "html",
                    error: function ()
                    {
                        console.log('Rental:IStationClick Ajax Error');
                    },
                    success:  function(data)
                    {
                        if(data != 'Data Error')
                        {
                            $('#'+station_block).replaceWith(data);
                        }
                        else
                        {
                            console.log('Rental:IStationClick Ajax:succes Error');
                        }
                    }
                });

            }


			$('#' + station_block).show();
		},

		ResetPassword: function()
		{
			var mail = jQuery.trim($('#field-email').val());

			if(Libs.validateEmail(mail))
			{
				if( confirm(translation.MESSAGE.CONFIRM_RESET_PW) )
				{
					System.Loading();
					$.ajax({
						type: "get",
						url: CX9SITEURL + 'customer/resetpassword',
						data: 'mail=' + mail,
						dataType: "json",
						async: false,
						error: function ()
						{
							console.log('Rental:ResetPassword Ajax Error');
							System.Ready();
						},
						success:  function(data)
						{
							if(data.error === undefined)
							{
								alert(data.msg);
							}
							else
							{
                                console.log(error);
								alert(data.error);
							}
							System.Ready();
						}
					});
				}
			}
			else
			{
				alert(translation.MESSAGE.ERROR_EMAIL_FILL);
			}
		},

		Station :
        {
            stations : new Array(),
            openings: {start: null, end:null},

            onMouseTimeIn:	new Date(),
            onMouseTimeOut:	new Date(),
            curentId: '',

            onClick: function(element)
            {
                var station_code = $(element).data('station');
                    if($(element).data('direction') == 'departure')
                    {
                        $(SELECTORS.STARTSTATION.CODE).val(station_code);
//---------------------------------------------
                        if(typeof(Rental.Cache['arr_stations_code']) == 'undefined' || 
                           typeof(Rental.Cache['arr_stations_code'][station_code]) == 'undefined') {
                                var data = 'startstation='+station_code;
                                $.ajax({
                                    type: 'get',
                                    async: true,
                                    url: CX9SITEURL + 'rental/getReturnStationsCode',
                                    data: data,
                                    dataType: 'json',
                                    error: function ()
                                    {
                                        console.log('Rental:Station:onClick Ajax Error');
                                    },
                                    success:  function(data)
                                    {
                                        if(data != 'Data Error')
                                        {
                                            if(typeof(Rental.Cache['arr_stations_code']) == 'undefined') {
                                                Rental.Cache['arr_stations_code'] = new Array();
                                            }
                                            Rental.Cache['arr_stations_code'][station_code] = data;
                                            var no_station_in_list = true;
                                            $.each(data, function(idx, el){
                                                if(el == $(SELECTORS.ENDSTATION.CODE).val())
                                                {
                                                    no_station_in_list = false;
                                                    return;
                                                }
                                            });
                                            if( no_station_in_list)
                                            {
                                                $(SELECTORS.ENDSTATION.CODE).val($(SELECTORS.STARTSTATION.CODE).val());
                                                $(SELECTORS.ENDSTATION.TEXTVALUE).val($(SELECTORS.STARTSTATION.TEXTVALUE).val());
                                            }
                                            $('#checkVisT').prop('disabled', false);
                                        }
                                        else
                                        {
                                            console.log('Rental:Station:onClick Ajax:succes Error');
                                        }
                                    }
                                });                       
                           } else {
                                var data = Rental.Cache['arr_stations_code'][station_code];   
                                $.each(data, function(idx, el){
                                    if(el == $(SELECTORS.ENDSTATION.CODE).val())
                                    {
                                        no_station_in_list = false;
                                        return;
                                    }
                                });
                                if( no_station_in_list)
                                {
                                    $(SELECTORS.ENDSTATION.CODE).val($(SELECTORS.STARTSTATION.CODE).val());
                                    $(SELECTORS.ENDSTATION.TEXTVALUE).val($(SELECTORS.STARTSTATION.TEXTVALUE).val());
                                }
                                $('#checkVisT').prop('disabled', false);
                           }
                           
                       

//---------------------------------------------
                    }
////************************************************                    
//                System.Ready();
//                Datepicker.init(start_end, station_code);
//
//                if( typeof Cars != 'undefined' )
//                {
//                    if(! Cars.is_date_cache_equal())
//                    {
//                        Cars.GroupsUpdate();
//                    }
//
//                }
//                if(CONFIG.BINET_ALLOW_ONEWAY == 1 && $(SELECTORS.STARTSTATION.CODE).val() != '')
//                {
//                    $('.checkVisT').css('opacity', '1');
//                }
//
//                $('#backgroundFilter').hide();
            },// onClick

            ZipcodeSearch: function() {
                var zip_code = $('#zip_code').val();
                var geocoder = new google.maps.Geocoder();
                var lastDistance = $('.zipcoderadius').val();
                geocoder.geocode({
                        address: zip_code
                    },
                    function(results_array, status) {
                        // Check status and do whatever you want with what you get back
                        // in the results_array variable if it is OK.
                        var lat = results_array[0].geometry.location.lat()
                        var lng = results_array[0].geometry.location.lng()

                        console.log(lat);
                        console.log(lng);

                        $.each($('#blockSelStartStation > #cx9-res-selectstation-stat > div.zeileBoxItem'), function(index, item) {
                            /* check geocoder-status */
                            var origin = $(item).attr('data-station-info');
                            var destination = new google.maps.LatLng(lat, lng);

                            var service = new google.maps.DistanceMatrixService();
                            service.getDistanceMatrix({
                                origins: [origin],
                                destinations: [destination],
                                travelMode: google.maps.TravelMode.DRIVING,
                                avoidHighways: false,
                                avoidTolls: false
                            }, callback);

                            function callback(response, status) {
                                console.log(response);
                                if(response.rows[0].elements[0].distance.text < lastDistance && status==='OK'){
                                    lastDistance = response.rows[0].elements[0].distance.text;
                                    $('#field-startstation').val($(item).text().replace(/^\s+/, '').replace(/\s+$/, ''));
                                    $(SELECTORS.STARTSTATION.CODE).val($(item).attr('station-code'));
                                }
                            }
                        });
                    });
            },

            onMouseOver : function(element)
            {
                Rental.Station.curentId = $(element).attr('id');
                Rental.Station.onMouseOverStart(element);
                //setTimeout(function() { Rental.Station.onMouseOverStart(element)}, 250);

            },

            onMouseOverStart: function(element)
            {
                var id;

                if($(element).attr('id') !== undefined)
                    id = $(element).attr('id');
                else
                    id = element.selector.substr(1, element.selector.length - 1);
                if(Rental.Station.curentId == id || Rental.Station.curentId == '')
                {
                    if(Rental.Station.stations[id] === undefined)
                    {
                        $.ajax({
                            type: "GET",
                            url: CX9SITEURL + 'rental/getStationInfo',
                            data: "PHPSESSID=" + SID +
                                    "&code=" + id,
                            dataType: "json",
                            async: false,
                            error: function ()
                            {
                                console.log('Rental:onMouseOverStart Ajax Error');
                            },
                            success:  function(data)
                            {
                                Rental.Station.stations[id] = { code: id,
                                                        name: 		data.name,
                                                        country: 	data.country,
                                                        stat:		data.stat,
                                                        city: 		data.city,
                                                        zipcode: 	data.zipcode,
                                                        street: 	data.street,
                                                        phone: 		data.phone,
                                                        fax: 		data.fax,
                                                        min_vorlauf:data.min_vorlauf,
                                                        schedule: 	data.shedules
                                                        };
                                Rental.Station.StationInfoUpdate(id);
                            }

                        });
                    }
                    else
                    {
                        Rental.Station.StationInfoUpdate(id);
                    }
                }


            },

            StationInfoUpdate: function(id)
            {
                if(id == '')
                {
                    return false;
                }
                var station = Rental.Station.stations[id];
                var block = 'start';
                if($('#blockSelEndStation').css('display') == 'block')
                {
                    block = 'end';
                }

                $('#stations-header_'+block).html(station.name);
                $('#stations-address_'+block).html(station.street + '<br>' + station.zipcode + '&nbsp;' + station.city );
                $('#stations-phone_'+block).html(station.phone);
                $('#stations-fax_'+block).html(station.fax);
                $("tr[class=mittag]").remove();
                for(var i = 0; i < 7; i++)
                {
                    var schedule = station.schedule[i],
                    html = '';
                    // $('#'+block+'_weekday_' + i).html('<td class="td60">' + schedule.day + '</td>');
                    html += '<tr class="' + block + '_weekday_' + i+'">' +
                            '<td class="td60">' + schedule.day + '</td>';


                    if(schedule.stationClosed)
                    {
                        // $('#'+block+'_weekday_' + i).append('<td colspan="4" class="td20">geschlossen</td>');
                        html += '<td colspan="4" class="td20">'+translation.RENTAL.CLOSED+'</td>';
                    }
                    else
                    {
                        if(schedule.mbtime == schedule.metime)
                        {
                            // $('#'+block+'_weekday_' + i).append('<td class="td20">' + schedule.btime + '&nbsp;&minus;</td>');
                            // $('#'+block+'_weekday_' + i).append('<td class="td20">' + schedule.etime + '</td>');
                            // $('#'+block+'_weekday_' + i).append('<td colspan="2" class="td20"></td>');
                            html += '<td class="td20">' + schedule.btime + '&nbsp;&minus;&nbsp;</td>' +
                                    '<td class="td20">' + schedule.etime + '</td>' +
                                    '<td colspan="2" class="td20"></td>';
                        }
                        else
                        {
                            html += '<td class="td20">' + schedule.btime + '&nbsp;&minus;&nbsp;</td>' +
                                    '<td class="td20">' + schedule.mbtime + '</td>' +
                                    '<td colspan="2" class="td20"></td>' +
                                    '</tr>' +
                                    //'<tr class="' + block + '_weekday_' + i+'5 mittag">' +
                                    '<tr class="mittag">' +
                                    '<td class="td60"></td>' +
                                    '<td class="td20">' + schedule.metime + '&nbsp;&minus;&nbsp;</td>' +
                                    '<td class="td20">' + schedule.etime + '</td>' +
                                    '<td colspan="2" class="td20"></td>';
                        }
                    }
                    html += '</tr>';
                    //$('.'+block+'_weekday_' + i + '5').remove();
                    $('.'+block+'_weekday_' + i).replaceWith(html);
                }
                GoogleMap.getMap(station.street + ' ' + station.zipcode + ' '+ station.country, block);

                return false;
            }
        },

        DateTimeClick: function()
        {
            if($(SELECTORS.STARTSTATION.CODE).val() == '')
            {
                Datepicker.init('start', '');
            }
            $('#backgroundFilter').show();
            $('#pDateTimeTop').show();
            $('#pDateTimeBottom').show();
        },


        DateTimeClose: function()
        {
            $('#pDateTimeTop').hide();
            $('#pDateTimeBottom').hide();
            $('#backgroundFilter').hide();
            if (typeof Cars != 'undefined' && typeof Cars.GroupsUpdate == 'function')
            {
                if(! Cars.is_date_cache_equal())
                {
                    Cars.GroupsUpdate();
                }

            }

        },

        BackgroundFilterClick: function()
        {
            $('#pDateTimeTop').hide();
            $('#pDateTimeBottom').hide();
            $('#backgroundFilter').hide();
            $('#blockSelStartStation').hide();
            $('#blockSelEndStation').hide();
            $('#ulTimeTop').hide();
            $('#ulTimeBottom').hide();
            this.PLoginClose();
            this.GetDateTime();
        },

        GetDateTime: function()
        {
            var startdate 	= $("#DateTop").datepicker("getDate");
            var enddate 	= $("#DateBottom").datepicker("getDate");

            var day 		= startdate.getDate() > 9 ? startdate.getDate() : '0' + startdate.getDate();
            var month 		= startdate.getMonth() > 8 ? startdate.getMonth() + 1 : '0' + (startdate.getMonth() + 1);


            $('#startdate').val(Libs.germanDateToFormat(DATE_FORMAT.date, day + '.' + month + '.' + startdate.getFullYear() ) );

            day 	= enddate.getDate() > 9 ? enddate.getDate() : '0' + enddate.getDate();
            month 	= enddate.getMonth() > 8 ? enddate.getMonth() + 1: '0' + (enddate.getMonth() + 1);
            $('#enddate').val(Libs.germanDateToFormat(DATE_FORMAT.date, day + '.' + month + '.' + enddate.getFullYear() ));
            $('#starttime').val($('#inputTimeTop').val());
            $('#endtime').val($('#inputTimeBottom').val());
        },
        TimeSelectorClick: function(element)
        {
            if($(element).attr('id') == 'inputTimeTop')
            {
                $('#ulTimeTop').show();
            }

            if($(element).attr('id') == 'inputTimeBottom')
            {
                $('#ulTimeBottom').show();
            }
        },
        SetTime: function(element)
        {
            if($(element).parent().attr('id') == 'ulTimeTop')
            {
                $('#inputTimeTop').val($(element).text());
                $('#starttime').val($(element).text());
                $(element).parent().hide();
                $('#DateTop').datepicker().change();
            }

            if($(element).parent().attr('id') == 'ulTimeBottom')
            {
                $('#inputTimeBottom').val($(element).text());
                $('#endtime').val($(element).text());
                $(element).parent().hide();
            }

            $(element).parent().hide();

        },
        TimeRefresh: function(start_end)
        {
            if($('#'+start_end+'station').val() == '') {
                return false;
            }
            
            var picker = start_end == 'start' ? 'Top' : 'Bottom';
            var cur_date 	= new Date($('#Date'+picker).datepicker('getDate'));
            
            if($(SELECTORS.ENDSTATION.CODE).val() == '') {
                $(SELECTORS.ENDSTATION.CODE).val($(SELECTORS.STARTSTATION.CODE).val());
                $("#field-endstation").val($("#field-startstation").val());
            }
            
            var station = Rental.Station.stations[$('#'+start_end+'station').val()];
            var vorlauf = 0;
            
            if(station  != undefined) {
                vorlauf = new Date().getTime() + station.min_vorlauf * 60 * 1000;
            }

            var schedule = Datepicker.getScheulde($('#'+start_end+'station').val());
            // console.log(schedule);
            var weekday = Libs.getWeekDay($.datepicker.formatDate("dd.mm.yy", cur_date));

            var starttime = schedule[weekday].btime;
            var endtime = schedule[weekday].etime;
            var format_starttime = starttime;
            var format_endtime = endtime;
            var is_mittag   = schedule[weekday].mbtime < schedule[weekday].metime;
            
            if(format12) {
                starttime = Libs.time12to24(starttime);
                endtime = Libs.time12to24(endtime);
                is_mittag   = Libs.time12to24(schedule[weekday].mbtime) < Libs.time12to24(schedule[weekday].metime);
            }

            $('#ulTime'+picker).empty();
            var i = parseInt(starttime.substr(0,2));

            var tmp_time    = '';
            if(starttime.substr(3,2) != '00')
            {
                tmp_time = format12 ? Libs.time24to12(starttime) : starttime;
                $('#ulTime'+picker).append('<li class="timeLine" onclick="Rental.SetTime(this);"><span>' + tmp_time + '</span></li>');
                i++;
            }

            tmp_time    = '';
            var cur_date_time = null;
            for(i=i; i < parseInt(endtime.substr(0,2)); i++)
            {
                cur_date_time = new Date(cur_date.getTime() + i * 3600 * 1000);
                if (cur_date_time >= vorlauf)
                {
                    tmp_time = (i < 10 ? ('0' + i) : i) + ':00';
                    if( ! is_mittag || (is_mittag && ( !format12 && (tmp_time <= schedule[weekday].mbtime || tmp_time >= schedule[weekday].metime))
                            || ( format12 && (tmp_time <= Libs.time12to24(schedule[weekday].mbtime) || tmp_time >= Libs.time12to24(schedule[weekday].metime))) ))
                    {
                        tmp_time = format12 ? Libs.time24to12(tmp_time) : tmp_time;
                        $('#ulTime'+picker).append('<li class="timeLine" onclick="Rental.SetTime(this);"><span>' + tmp_time + '</span></li>');
                    }
                }
                cur_date_time = new Date(cur_date.getTime() + (i+0.5) * 3600 * 1000);
                if (cur_date_time >= vorlauf)
                {
                    tmp_time = (i < 10 ? ('0' + i) : i) + ':30';
                    if( ! is_mittag || (is_mittag && ( !format12 && (tmp_time < schedule[weekday].mbtime || tmp_time >= schedule[weekday].metime))
                            || ( format12 && (tmp_time < Libs.time12to24(schedule[weekday].mbtime) || tmp_time >= Libs.time12to24(schedule[weekday].metime))) ))
                    {
                        tmp_time = format12 ? Libs.time24to12(tmp_time) : tmp_time;
                        $('#ulTime'+picker).append('<li class="timeLine" onclick="Rental.SetTime(this);"><span>' + tmp_time + '</span></li>');
                    }
                }
            }

            if(endtime.substr(3,2) == '00')
            {
                tmp_time = (i < 10 ? ('0' + i) : i) + ':00';
                tmp_time = format12 ? Libs.time24to12(tmp_time) : tmp_time;
                $('#ulTime'+picker).append('<li class="timeLine" onclick="Rental.SetTime(this);"><span>' + tmp_time + '</span></li>');
            }
            else
            {
                tmp_time = (i < 10 ? ('0' + i) : i) + ':00';
                tmp_time = format12 ? Libs.time24to12(tmp_time) : tmp_time;
                $('#ulTime'+picker).append('<li class="timeLine" onclick="Rental.SetTime(this);"><span>' + tmp_time + '</span></li>');
                tmp_time = (i < 10 ? ('0' + i) : i) + ':30';
                tmp_time = format12 ? Libs.time24to12(tmp_time) : tmp_time;
                $('#ulTime'+picker).append('<li class="timeLine" onclick="Rental.SetTime(this);"><span>' + tmp_time + '</span></li>');
            }

            if(System.datepicker_jump === false)
            {
                // get the selected time
                var selected_time = format12 ? Libs.time12to24($('#inputTime'+picker).val()) : $('#inputTime'+picker).val();
                // check if selected time is in schedule(s)
                // opening
                if( parseInt(selected_time.replace(':',''),10) < parseInt(starttime.replace(':',''),10) )
                {
                    // set opening time
                    $('#inputTime'+picker).val(format_starttime);
                    $('#'+start_end+'time').val(format_starttime);
                }
                // closing
                else if( parseInt(selected_time.replace(':',''),10) > parseInt(endtime.replace(':',''),10) )
                {
                    // set closing time
                    $('#inputTime'+picker).val(format_endtime);
                    $('#'+start_end+'time').val(format_endtime);
                }
                else
                {
                    // set selected time
                    // TODO notwendig ???
                    var format_time = format12 ? Libs.time24to12(selected_time) : selected_time;
                    $('#inputTime'+picker).val(format_time);
                    $('#'+start_end+'time').val(format_time);
                }
            }

        },

        StartTimeRefresh: function() // !!! deprecated !!!
        {
            var cur_date 	= new Date($('#DateTop').datepicker('getDate'));;

            var schedule 	= Datepicker.getScheulde($(SELECTORS.STARTSTATION.CODE).val());
            var weekday 	= Libs.getWeekDay($.datepicker.formatDate("dd.mm.yy", cur_date));

            var starttime 	= schedule[weekday].btime;
            var endtime 	= schedule[weekday].etime;
            $('#ulTimeTop').empty();
            var i = parseInt(starttime.substr(0,2));

            var tmp_time = '';
            if(starttime.substr(3,2) != '00')
            {
               tmp_time = format12 ? Libs.time24to12(starttime) : starttime;
                $('#ulTimeTop').append('<li class="timeLine" onclick="Rental.SetTime(this);"><span>' + tmp_time + '</span></li>');
                i++;
            }

            for(i=i; i < parseInt(endtime.substr(0,2)); i++)
            {
                tmp_time = (i < 10 ? ('0' + i) : i) + ':00';
                tmp_time = format12 ? Libs.time24to12(tmp_time) : tmp_time;
                $('#ulTimeTop').append('<li class="timeLine" onclick="Rental.SetTime(this);"><span>' + tmp_time + '</span></li>');

                tmp_time = (i < 10 ? ('0' + i) : i) + ':30';
                tmp_time = format12 ? Libs.time24to12(tmp_time) : tmp_time;
                $('#ulTimeTop').append('<li class="timeLine" onclick="Rental.SetTime(this);"><span>' + tmp_time + '</span></li>');
            }

            if(endtime.substr(3,2) == '00')
            {
                tmp_time = (i < 10 ? ('0' + i) : i) + ':00';
                tmp_time = format12 ? Libs.time24to12(tmp_time) : tmp_time;
                $('#ulTimeTop').append('<li class="timeLine" onclick="Rental.SetTime(this);"><span>' + tmp_time + '</span></li>');
            }
            else
            {
                tmp_time = (i < 10 ? ('0' + i) : i) + ':00';
                tmp_time = format12 ? Libs.time24to12(tmp_time) : tmp_time;
                $('#ulTimeTop').append('<li class="timeLine" onclick="Rental.SetTime(this);"><span>' + tmp_time + '</span></li>');

                tmp_time = (i < 10 ? ('0' + i) : i) + ':30';
                tmp_time = format12 ? Libs.time24to12(tmp_time) : tmp_time;
                $('#ulTimeTop').append('<li class="timeLine" onclick="Rental.SetTime(this);"><span>' + tmp_time + '</span></li>');
            }

            tmp_time = format12 ? Libs.time24to12(starttime) : starttime;
            $('#inputTimeTop').val(tmp_time);
            $('#starttime').val(tmp_time);

        },

        startTimeListUpdate: function()
        {
            var now        = new Date(),
                today      = new Date(now.getFullYear(), now.getMonth(), now.getDate()),
                start_date = $('#DateTop').datepicker('getDate');

            if(today.toString() == start_date.toString())
            {
                if(this.Cache['ulTimeTop'] == undefined)
                {
                    this.Cache['ulTimeTop'] = $('#ulTimeTop').html();
                }
                var time_list = $('#ulTimeTop').children();
                for(i = 0; i < time_list.length; i++)
                {
                    var format24_list_time = $(time_list[i]).children().text();
                    format24_list_time = format12 ? Libs.time12to24(format24_list_time) : format24_list_time;
                    if(format24_list_time <= (now.getHours()+':'+now.getMinutes()))
                    {
                        $(time_list[i]).remove();
                    }
                }
            } // end if
        },

        endTimeListeUpdate: function()
        {
            var start_date  = $('#DateTop').datepicker('getDate');
            var end_date 	= $('#DateBottom').datepicker('getDate');

            if(end_date.toString() == start_date.toString())
            {
                if(this.Cache['ulTimeBottom'] == undefined)
                {
                    this.Cache['ulTimeBottom'] = $('#ulTimeBottom').html();
                }
                var time_list = $('#ulTimeBottom').children();
                for(i = 0; i < time_list.length; i++)
                {
                    var format24_list_time = $(time_list[i]).children().text();
                    format24_list_time = format12 ? Libs.time12to24(format24_list_time) : format24_list_time;

                    var format24_input_time_top = format12 ? Libs.time12to24($('#inputTimeTop').val()) : $('#inputTimeTop').val();

                    if(format24_list_time < format24_input_time_top)
                    {
                        $(time_list[i]).remove();
                    }
                }

                var format24_input_time_top = format12 ? Libs.time12to24($('#inputTimeTop').val()) : $('#inputTimeTop').val();
                var format24_input_time_bottom = format12 ? Libs.time12to24($('#inputTimeBottom').val()) : $('#inputTimeBottom').val();

                if(format24_input_time_top > format24_input_time_bottom)
                {
                    $('#inputTimeBottom').val($('#inputTimeTop').val());
                }

            } // end if
        },

        
        filterOptionClick: function(element) {
            categoryUid = jQuery(element).attr('category-id');
            
            jQuery('.col.col-20.col-md-12.white').removeClass('hidden');
            if ( categoryUid == '0' ) {
                jQuery('.col.col-20.col-md-12.white').removeClass('hidden');
            } else {
                jQuery('.col.col-20.col-md-12.white[category-id!="'+categoryUid+'"]').addClass('hidden');
            }
        }
	};

$(document).ready(function () {
	var getParams = Libs.parseURL();
    var startstation = null;
    if($(SELECTORS.STARTSTATION.CODE).val() != '')
    {
        startstation = $(SELECTORS.STARTSTATION.CODE).val();
    }

	if( getParams.station !== undefined && $('#' + getParams.station)[0] !== undefined)
	{
        startstation = $('#' + getParams.station)[0];
	}
    if(startstation != null)
    {
        Rental.Station.onMouseOverStart(startstation);
        setTimeout(function(){
		Rental.Station.onClick(startstation);
        }, 500);

    }
	//replace div Form by div tag
	var formAction = $("#pRentalForm").attr('action');
	var formMethod = $("#pRentalForm").attr('method');
	var newDivForm = $("<div id='pRentalForm' action='"+formAction+"' method="+formMethod+"'></div>");
	$(newDivForm).html( $("#pRentalForm").html());
	$("#pRentalForm").replaceWith( newDivForm );
    
});