var Summary =
{
	CommentOnClick: function()
	{
		$('#pComment').show();
	},

	CommentSave: function()
	{
		$('#pComment').hide();
	},

	LoginOnClick: function()
	{
		if($('#ChkOnlineKunde').hasClass('login-checkbox-unchecked'))
		{
			// AK - 02.03.2015 - Aufgabe 64870: Login und Loginerzeugung müssen sich gegenseitig ausschließen
			if($('#ChkOnlineKundeWerden').hasClass('login-checkbox-checked'))
				$('#ChkOnlineKundeWerden').click();
			$('#pCustomerLoginData').show();
		}
		else
		{
			$('#pCustomerLoginData').hide();
		}
		$('#ChkOnlineKunde').toggleClass('login-checkbox-unchecked');
		$('#ChkOnlineKunde').toggleClass('login-checkbox-checked');
	},

	btnLoginOnClick: function()
	{
		var mail = jQuery.trim($('#field-email').val());
		var pass = jQuery.trim($('#field-pw').val());

		if(Libs.validateEmail(mail)){
			if(mail !='' && pass != '')
			{

				$.ajax({
					type: "post",
					async: false,
					url: CX9SITEURL + 'customer/login',
					data: 'PHPSESSID='+SID +
							'&mail=' + encodeURIComponent(mail) +   //Aufgabe 60251 JM 2014-10-09
							'&pass=' + encodeURIComponent(pass),
					dataType: "json",
					error: function ()
					{
						alert('Error ajax');
					},
					success:  function(data)
					{
						if(data.error === undefined)
						{

							if(data.forceCustomerLogin) {
								console.log('Test');
							}

							$('#input-firstname').val(data.firstname);
                            $('#input-firstname').prop('readonly', true);

							$('#input-lastname').val(data.lastname);
                            $('#input-lastname').prop('readonly', true);

							if(data.isCompany) {
								$('#input-company-name').val(data.firma);
							} else {
								$('#input-company-name').val('');
							}
                            $('#input-company-name').prop('readonly', true);

							$('#input-street').val(data.street);
                            $('#input-street').prop('readonly', true);

							$('#input-postcode').val(data.zipcode);
                            $('#input-postcode').prop('readonly', true);

							$('#input-city').val(data.city);
                            $('#input-city').prop('readonly', true);

							$('#input-email').val(data.email);
                            $('#input-email').prop('readonly', true);

							$('#input-telefon').val(data.phone);
                            $('#input-telefon').prop('readonly', true);

							$('#selSal').val($('#selSal option:contains('+data.anrede+')').val()).trigger('change');
                            $('#selSal').prop('disabled', true);

							$('#selPay').val($('#selPay option:contains('+data.payment+')').val()).trigger('change');

							$('#customer_anrede').text(data.anrede);

							if(data.isCompany) {
								$('#customer_firstname,#customer_companyname').text(data.firma);
								$('#customer_lastname').text('');
							} else {
								$('#customer_firstname').text(data.firstname);
								$('#customer_lastname').text(data.lastname);
								$('#customer_companyname').text(data.firstname + ' ' + data.lastname);
							}

							$('#pCustomerLogin').hide();
							$('#loggedIn-line').show();

							$('#new_customer').val('0');
						}
						else
						{
                            if(data.sleep > 0)
                            {
                                $('#field-email').prop('disabled', true);
                                $('#field-pw').prop('disabled', true);
                                $('#btn-login').prop('disabled', true);
                                $('#btn-login').css('opacity', '0.35');

                                setTimeout(function() {
                                    $('#field-email').prop('disabled', false);
                                    $('#field-pw').prop('disabled', false);
                                    $('#btn-login').prop('disabled', false);
                                    $('#btn-login').css('opacity', '1');
                                }, data.sleep * 1000);
                            }

							alert(data.error);
						}
					}

				});
			}
			else
			{
				alert(translation.MESSAGE.ERROR_CUSTOMER_LOGIN);
			}
		}else{
			alert(translation.MESSAGE.ERROR_EMAIL_FILL);
		}
		return false;
	},

	ResetPassword: function()
	{
		var mail = jQuery.trim($('#field-email').val());

		if(Libs.validateEmail(mail))
		{
			if( confirm(translation.MESSAGE.CONFIRM_RESET_PW) )
			{
				System.Loading();
				$.ajax({
					type: "get",
					async: false,
					url: CX9SITEURL + 'customer/resetpassword',
					data: 'mail=' + mail,
					dataType: "json",
					error: function ()
					{
						alert('Error ajax');
					},
					success:  function(data)
					{
						if(data.error === undefined)
						{
							alert(data.msg);
						}
						else
						{
							alert(data.error);
						}
					}
				});
			}
			System.Ready();
		}
		else
		{
			alert(translation.MESSAGE.ERROR_EMAIL_FILL);
		}
	},

	ChkOnlineKundeWerdenOnClick: function()
	{
		if($('#ChkOnlineKundeWerden').hasClass('login-checkbox-unchecked'))
		{
			// AK - 02.03.2015 - Aufgabe 64870: Login und Loginerzeugung müssen sich gegenseitig ausschließen
			if($('#ChkOnlineKunde').hasClass('login-checkbox-checked'))
				$('#ChkOnlineKunde').click();
			$('#new_customer').val('1');
		}
		else
		{
			$('#new_customer').val('0');
		}

		$('#ChkOnlineKundeWerden').toggleClass('login-checkbox-unchecked');
		$('#ChkOnlineKundeWerden').toggleClass('login-checkbox-checked');

	},

	PayChange: function()
	{
		$('#input-zahlungsart').removeClass('summary_error_field');

		if(typeof(CREDIT_CARDS_ARR) !== 'undefined' && $.inArray($('#input-zahlungsart').val(), CREDIT_CARDS_ARR) >= 0)
		{
			$('#pPayment').removeClass('invisible');
            jQuery('#input-kkyear , #input-kkmonth , #input-kknummer').attr( 'required' , 'required' );

			$('#input-kkyear , #input-kkmonth , #input-kknummer').val('');
            jQuery('.jsdtKKYear').text( translation['USERDATA']['YEAR'] );
            jQuery('.jsdtKKMonth').text( translation['USERDATA']['MONTH'] );
		}
		else
		{
			$('#pPayment').addClass('invisible');
			$('#input-kkyear , #input-kkmonth , #input-kknummer').val('');
            // Resetting DropDowns
            jQuery('.jsdtKKYear').text( translation['USERDATA']['YEAR'] );
            jQuery('.jsdtKKMonth').text( translation['USERDATA']['MONTH'] );
			// $('#selYear,#selMon').val('-1');
            jQuery('#input-kkyear , #input-kkmonth , #input-kknummer').removeAttr( 'required' );
		}
	},

	SummarySubmit: function()
	{
        console.log('Summary.Submit');
        if(! CX9VARS.isLogin && $('#checkbox_KKt').prop('checked') && Libs.validateEmail($('#input-email').val())) {
            var url = CX9SITEURL + 'customer/isCustomerExist';
            var data = 'email=' + $('#input-email').val();
            CX9ajaxQuery(url, 'get', 'json', data, 'Summary:SusmmaruSubmit', function(data){
                if(data.customer_exist == 1) {
                    console.log('user exist');
                    $('#checkbox_KKt').prop('checked', false);

                    // Fallback - Login Popup öffnen, wenn err Div nicht existiert
                    if($('#create-login-error').length > 0) {
                    	var specificField = $('#checkbox_KKt').parsley();
                    	window.ParsleyUI.removeError(specificField, "myCustomError");
                    	// window.ParsleyUI.addError(specificField, "myCustomError", 'Es existiert bereits ein Login mit dieser E-Mail Adresse. Haben Sie Ihr <a href="#" onclick="$(\'.optAn\').click();"> Password vergessen</a>?');
                    	// 
                    	if (translation.MESSAGE.ERROR_CUSTOMER_EXIST === undefined) {
                    		translation.MESSAGE.ERROR_CUSTOMER_EXIST = 'Es existiert bereits ein Login mit dieser E-Mail Adresse. Haben Sie Ihr <a href="#" onclick="$(\'.optAn\').click();"> Password vergessen</a>?';
                    	}
                    	window.ParsleyUI.addError(specificField, "myCustomError", translation.MESSAGE.ERROR_CUSTOMER_EXIST);
                    } else {
                    	$('.optAn').click();
                    	
                    }
                    
                    return false;
                } else {
                    $('#form_summary').submit();
                }
            });
        } else {
            $('#form_summary').submit();
        }
	},

	custommerFieldClickOrPress: function(element)
	{
		$(element).removeClass('summary_error_field');
		var company = Summary.determineFirmaAsCustomer();
		//alert('test');
		if(company){ //if this selected element is a company then vorname and nachname keine pflichtfelder
			//remove asteriscs of vorname und nachname
			$firstname = $('#line-firstname label');
			$lastname = $('#line-lastname label');
			var firstnameNewValue = $firstname.text().replace('*','');
			var lastNameNewValue = $lastname.text().replace('*','');
			$firstname.text(firstnameNewValue);
			$lastname.text(lastNameNewValue);
			//remove classes of inputs that make input red
			$('#input-firstname').removeClass('summary_error_field');
			$('#input-lastname').removeClass('summary_error_field');
			//make appears the new company field
			$('#line-company-name').show();
		}
		else if(!company){ //if this selected element is a company then vorname and nachname keine pflichtfelder
			//remove asteriscs of vorname und nachname
			$firstname = $('#line-firstname label');
			$lastname = $('#line-lastname label');
			var firstnameNewValue = '';
			var lastNameNewValue = '';
			if($firstname.text().indexOf('*') === -1 && $lastname.text().indexOf('*') === -1){
				firstnameNewValue = $firstname.text()+' *';
				lastNameNewValue = $lastname.text()+' *';
			}
			else{
				firstnameNewValue = $firstname.text();
				lastNameNewValue = $lastname.text();
			}
			$firstname.text(firstnameNewValue);
			$lastname.text(lastNameNewValue);
			//make disappears the new company field
			$('#line-company-name').hide();
		}
	},
	determineFirmaAsCustomer : function(element){
		if(typeof(element) === undefined) element = '#selSal';
		var result = false;
		isCompany = $('option:selected', element).attr('data-isCompany');
		if(isCompany == 1) result = true;
		return result;
	},
	openShareDialog: function(){
		$('#backgroundFilter').show();
		$('#pShare').show();
		$('body').css('overflow','hidden');
		//put event to listen when click on backgroundFilter
		$('#backgroundFilter').on('click', function(e){
			e.preventDefault();
			e.stopPropagation();
			e.stopImmediatePropagation();
			Summary.closeShareDialog();
		});
	},
	closeShareDialog: function(){
		$('#backgroundFilter').hide();
		$('#share-email').val("");
		$('#pShare').hide();
		$('body').css('overflow','');
	},
	sendShareMail: function()
	{
		if($('#share-email').val() !== "" && Libs.validateEmail($('#share-email').val())){
			$.ajax({
				type: "post",
				async: true,
				url: CX9SITEURL + 'reservate/send_share_mail',
				data: 'email=' + $('#share-email').val(),
				error: function ()
				{
					alert('Error ajax');
				}

			});
			Summary.closeShareDialog();
		}else{
			alert(translation.MESSAGE.ERROR_EMAIL_FILL);
		}

	},

    DataCange: function(link)
    {
        $.get(CX9SITEURL + 'summary/SaveCustomerData',
            { firstname: $('#input-firstname').val(),
              lastname: $('#input-lastname').val(),
              street: $('#input-street').val(),
              postcode: $('#input-postcode').val(),
              city: $('#input-city').val(),
              email: $('#input-email').val(),
              telefon: $('#input-telefon').val(),
              anrede: $('#selSal option:selected').text(),
			  comment: $('#text-bemerkung').val()
            },
            function(){
                window.location.href = link;
            });

    },

    anredeClick: function(element) {
        var anredeId = $(element).attr('anrede');
        $('#input-anrede').val(anredeId);
        if($(element).data('company') == 1) {
            $('#wrap-firma').show();
            $('#wrap-company span.required-symbol').text('*');
            $('#wrap-firstname span.required-symbol').text('');
            $('#wrap-lastname span.required-symbol').text('');
            $('#input-company').prop('required', true);
            $('#input-firstname').prop('required', false);
            $('#input-lastname').prop('required', false);
            $('#wrap-firstname ul').empty();
            $('#wrap-lastname ul').empty();
        } else {
            $('#wrap-firma').hide();
            $('#wrap-company span.required-symbol').text('');
            $('#wrap-firstname span.required-symbol').text('*');
            $('#wrap-lastname span.required-symbol').text('*');
            $('#input-company').prop('required', false);
            $('#input-firstname').prop('required', true);
            $('#input-lastname').prop('required', true);
        }
        if(anredeId != '0') {
            $('#anrede-error ul').empty();
        }
    },

    zahlungsweiseClick: function(element) {
        var payArtId = $(element).attr('paytype');
        $('#input-zahlungsart').val(payArtId);
        if(payArtId != '0') {
            $('#zahlungsart-error ul').empty();
            this.PayChange();
        }
    },

    kkyearClick: function(element) {
        var year = $(element).attr('value');
        $('#input-kkyear').val(year);
        if(year != '0') {
            $('#kkyear-error ul').empty();
            Summary.resetMonth();
           	Summary.filterMonth(year);
        }
    },

    kkmonthClick: function(element) {
        var month = $(element).attr('value');
        $('#input-kkmonth').val(month);
        if(month != '0') {
            $('#kkmonth-error ul').empty();
        }
    },

    resetMonth: function() {
        $('#input-kkmonth').val('');
        $('.jsdtKKMonth').text('');
    },

    filterMonth: function(year){
    	var d = new Date();
    	var y = d.getFullYear();
		var m = d.getMonth();

		if(year == y){
    		$('li').filter(function() { return $.text([this]) <= m; }).hide();
    	}else{
    		$('li').filter(function() { return $.text([this]) <= m; }).show();
    	}
    	
    }
};
