var System =
{
		backgroundFilter : '#backgroundFilter',
		datepicker_jump : false,

		Loading: function()
		{
			$(this.backgroundFilter).html('<div id="loading_Container"><div id="loading"></div></div>');
			$(this.backgroundFilter).show();
		} ,

		Ready: function()
		{
			$(this.backgroundFilter).html('');
			$(this.backgroundFilter).hide();
		}
};
var Customer = {
		setPassword : function(action){
			//if click on false div pChange then hide change password options
			$('body').on('click',function(){
				if(!$('#backgroundFilter').is(':visible')){
					//$('#pChangePW').hide();
					Customer.closeDialog();
				}
			});

			if(action=='openDialog'){
				Customer.openDialog();
				//$('#backgroundFilter').show();  //disable all controls
				//$('#pChangePW').show(); //show the dialog to change password
				//empty dialog fields
			    $('#field-old-pw').val('');
			    $('#field-new-pw').val('');
			    $('#field-repeat-pw').val('');
				return false;
			}
			//get user given passwords
			var oldPassword = $('#field-old-pw').val();
			var newPasswordFirstValue = $('#field-new-pw').val();
			var newPasswordSecondValue = $('#field-repeat-pw').val();
			var oldPasswordErrorMessage = $('#emptyOldPasswordMSG').val();
			var newPasswordErrorMessage = $('#wrongNewPasswordMSG').val();
			var matchingPasswordsErrorMessage = $('#notMatchingPasswordsMSG').val();

			if(oldPassword.length == 0){
				//alert('Bitte geben Sie das alte Passwort');
				alert(oldPasswordErrorMessage);
				return false;
			}
			if(newPasswordFirstValue.length < 8 ){
				//alert('Bitte geben Sie das neue Passwort');
				alert(newPasswordErrorMessage);
				return false;
			}
			if (newPasswordFirstValue != newPasswordSecondValue){
				//alert('Das neue Passwort stimmt nicht überein');
				alert(matchingPasswordsErrorMessage);
				$('#field-new-pw').focus();
				return false;
			}
			//send ajax request
            Login.setPassword();
		},
		closeDialog : function (){
			$('#backgroundFilter').hide();
			$('#pChangePW').hide();
			$('body').css('overflow','');
		},
		openDialog : function (){
			$('#backgroundFilter').show();
			$('#pChangePW').show();
			$('body').css('overflow','hidden');
			//put event to listen when click on backgroundFilter
			$('#backgroundFilter').on('click', function(e){
				e.preventDefault();
				e.stopPropagation();
				e.stopImmediatePropagation();
				Customer.closeDialog();
			});
		},
		Logout: function() {
            var now = new Date();
            var time = now.getTime();
            var expireTime = time - 3600 * 1000;
            now.setTime(expireTime);
            document.cookie = "login_hash='';expires="+now.toGMTString()+";";

            var url = CX9SITEURL + 'customer/logout';

            CX9ajaxQuery(url, 'get', 'json', '', 'System:Customer:Logout', function(data){
                if(data.redirect == 0) {
                    window.parent.location.href = CX9SITEURL + 'cars?PHPSESSID='+SID;
                }else if(data.redirect == 1){
                    window.parent.location.href = CX9SITEURL;
                }
            });

            $('#input-firstname').val('');
            $('#input-lastname').val('');
            $('#input-street').val('');
            $('#input-postcode').val('');
            $('#input-city').val('');
            $('#input-email').val('');
            $('#input-telefon').val('');
            $('#selSal').val('-1').trigger('change');
            $('#selPay').val('').trigger('change');
            $('#input-cardno').val('');
            $('#selYear').val('-1');
            $('#selMonth').val('-1');

            $('#field-email').val('');
            $('#field-pw').val('');

            $('#ChkOnlineKunde').addClass('login-checkbox-unchecked');
            $('#ChkOnlineKunde').removeClass('login-checkbox-checked');
            $('#pCustomerLoginData').hide();

            $('#loggedIn-line').hide();
            $('#pCustomerLogin').show();

            $('#input-company-name').val('');
            $('#line-company-name').hide();
            if(typeof(Summary) === 'function')  //Aufgabe 60251 JM 2014-10-09
                Summary.custommerFieldClickOrPress('#selSal');
	}

};

function CX9ajaxQuery(url, method, dataType, data, error_message, callback)
{
    if(method == 'post') {
        url += '&PHPSESSID=' + SID;
    } else {
        data += '&PHPSESSID=' + SID;
    }

    $.ajax({
        type: method,
        async: true,
        url: url,
        data: data,
        dataType: dataType,
        error: function ()
        {
            if (typeof(error_message) != 'undefined') {
                console.error(error_message + ' Ajax Error');
            } else {
                console.error('Ajax Error');
            }
        },
        success:  function(data)
        {
            if(typeof(data.error) == 'undefined' ||
                (typeof(data.error) != 'undefined' && (data.error == 0 || data.error === false))
              )
            {
                if (typeof(callback) == 'function') {
                    callback(data);
                }
            }
            else
            {
                if (typeof(error_message) != 'undefined') {
                    console.error(error_message + ' Ajax succes Error' );
                } else {
                    console.error('Ajax succes Error');
                }

            }
        }
    });
}
